"This file contains settings for the Save Sections plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML_3DS_IR.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML_3DS_IR.sections.sectionsXML.SectionsXML", ))

# Name of the object being saved
savedObjectName = "Section"

# Name of the record where default objects will be stored
defaultRecordname = "defaultSections"

# Name of the default file to be loaded/saved
defaultFilename = "Sections"

# Plug-in Name
pluginName = "Save Sections"

# Record Base name
baseName = "Section-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

# Form that will be used to create the dialog box for exporting
(exportFormModule, ) = getModifiedName(__file__, ("caeXML_3DS_IR.sections.sectionExportForm", ))
exportFormClass = "SectionExportForm"

# Enable Multiple import or not
enableMultipleImport = True
